=== debian/changelog ===
maint-guide (1.2.26) unstable; urgency=low

  * Converted to DocBook XML format. Closes: #609679
  * Organized all URL references into common.ent. 
  * Complete English style checks and corrections by Justin B Rye.
  * Fixed issues caused by debiandoc-sgml bugs #624099 and #624097 manually.
    Closes: #621817, #623116
  * Converted document to use dquilt to keep quilt default untouched.
  * Rewrote and reorganized entire document with inputs from the BTS reports,
    Justin B Rye, David Prévot, Serafeim Zanikolas, and others.  Chapter 1 had
    major addition of "Social dynamics of Debian" with pointers to Stefano
    Zacchiroli's PDF slides.  Chapter 2 was reorganized with new detailed
    explanation on "Package name and version" and clear mention of non-native
    and native packages.  Chapter 3 added DEP-3 for "Fixing upstream bugs".
    Chapter 4 added DEP-5 for "copyright".  Chapter 5 fixed LSB for
    "package.init and package.default" and added "source/options".  Chapter 7
    added "Suspicious changes".  Contents relating to "Including orig.tar.gz for
    upload" were moved from Chapter 6 to Chapter 8 and reorganized.
    Closes: #609607, #609937, #610362, #611769, #618352
  * Updated Japanese and French translation to be 100% current.
  * Build packages only for good translations: en fr ja

 -- Osamu Aoki <osamu@debian.org>  Thu, 05 May 2011 16:47:13 +0900
