=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: xsltproc,
 docbook-xsl, 
 docbook-xml,
 po4a,
 w3m,
 dblatex,
 ghostscript | gs-esp | gs, 
 texlive-lang-german,
 texlive-lang-spanish,
 texlive-lang-french,
 texlive-lang-italian,
 texlive-lang-cyrillic,
 latex-cjk-all,
 lmodern,
 otf-ipafont-gothic,
 xmlroff
Standards-Version: 3.9.2
Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/

Package: maint-guide
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

Package: maint-guide-fr
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide in French
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is French translation.

Package: maint-guide-ja
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide in Japanese
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Japanese translation.
