=== debian/changelog ===
maint-guide (1.2.27) unstable; urgency=low

  * Fixed dh command argument order. Closes: #625735
  * Fixed alias for dquilt. Closes: #626565
  * Updated Catalan and Spanish translations. Closes: #628330, #628331
  * Updated build script and package dependencies to build all PDF using XeTeX
    backend. Now ' and ` in <screen> are correct. Closes: #627466, #629258
  * Build packages for all good translations: ca es en fr ja

 -- Osamu Aoki <osamu@debian.org>  Sun, 05 Jun 2011 21:06:27 +0900
