=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MANUAL		:= maint-guide

# Language which is the base of all files
LANGS_EN	:= en

# Languages which generate DocBook XML files from PO files
#LANGS_PO	:= ca de es fr it ja zh-cn zh-tw
LANGS_PO	:= ca es fr ja

# Override main Makefile to build CJK under sid
# No PDF build for these lunguages
LANGS_NOPDF            :=  
# PDF build using xelatex backend for these lunguages 
#       candidates: all non-latin1 languages
LANGS_XETEX            := ca de es en fr it ja zh-cn zh-tw

# Language groups
LANGS		:= $(LANGS_EN) $(LANGS_PO)

%:
	dh  $@

# For package building (all)
DEBIAN_DIR	:= $(CURDIR)/debian
override_dh_auto_build:
	dh_auto_build -- html txt pdf "MANUAL=$(MANUAL)" \
		"LANGS_EN=$(LANGS_EN)" "LANGS_PO=$(LANGS_PO)" "LANGS=$(LANGS)" \
		"LANGS_NOPDF=$(LANGS_NOPDF)" "LANGS_XETEX=$(LANGS_XETEX)"
	for lang in $(LANGS); do sed -e "s/@@/$$lang/g" < $(DEBIAN_DIR)/all.install-in > $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

override_dh_auto_clean:
	dh_auto_clean
	for lang in $(LANGS); do rm -f $(DEBIAN_DIR)/$(MANUAL)-$$lang.install; done

.PHONY: control
# This is run only by maintainer to update control file manually
# You need to have moreutils installed
control:
	sed -e '/^Package: maint-guide-/,$$d' <$(DEBIAN_DIR)/control | sponge $(DEBIAN_DIR)/control
	for x in $(LANGS_PO); \
		do sed -e "s/@@@LNG@@@/$$x/g" -e "s/@@@LNGNAME@@@/$$($(DEBIAN_DIR)/language $$x)/g" \
		<$(DEBIAN_DIR)/control-in-body >> $(DEBIAN_DIR)/control; \
	done
