## maint-guide 1.2.28

=== Makefile ===
--- 
+++ 
@@ -20,10 +20,26 @@
 COMMON_ENT	:= common.ent
 # format to be built
 FORMATS		:= html txt pdf
+##############################################################################
+# PDF build tool customization for each lunguage
+##############################################################################
 # languages supported by direct DocBook files (always: en)
 LANGS_EN	:= en
 # languages supported by translation PO files
-LANGS_PO	:= ca de es fr it ja zh-cn zh-tw
+LANGS_PO	:= ca es fr it ja ru de zh-cn zh-tw
+# ca: 99%
+# de: 24%
+# es: 97%
+# fr: 100%
+# it: 100%
+# ja: 100%
+# ru: 100%
+# zh-cn: 33%
+# zh-tw:28%
+# 
+# dblatex is used as the default PDF build tool
+# No PDF build for these lunguages (in case of error, use this as work around)
+LANGS_NOPDF		:=  
 # all languages to build
 LANGS		:= $(LANGS_EN) $(LANGS_PO)
 # local script file directory
@@ -65,21 +81,6 @@
 POMODE	:= static
 
 ##############################################################################
-# PDF build tool customization for each lunguage
-##############################################################################
-# dblatex is used as the default PDF build tool
-# The curent customization follows the release-notes package.
-#
-# No PDF build for these lunguages
-#LANGS_NOPDF		:= 
-LANGS_NOPDF		:= ja zh-cn zh-tw
-# PDF build using xelatex backend for these lunguages 
-#	candidates: all non-latin1 languages
-#LANGS_XETEX		:= ja zh-cn zh-tw
-LANGS_XETEX		:= 
-# languages with pdf using fop package (not implimented)
-
-##############################################################################
 # build tool customization for debug etc.
 ##############################################################################
 XP		:= xsltproc --nonet --novalid --xinclude
@@ -225,8 +226,7 @@
 $(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
 	echo "PDF building for $(LINGUA) currently disabled." > $@
 
-else ifeq ($(filter-out $(LANGS_XETEX),$(LINGUA)),)
-# if $(LINGUA) belongs to $(LANGS_XETEX)
+else
 # build with xelatex backend
 
 $(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
@@ -254,33 +254,6 @@
 		--param=lingua=$(LINGUA) \
 		--output=$@ -
 
-else
-# if $(LINGUA) belongs to $(LANGS_DBLATEX) (default)
-# build with pdflatex backend
-
-$(MANUAL).$(LINGUA).pdf: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
-	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
-	export TEXINPUTS=".:"; \
-	$(XP) $(XSLT)/dblatex.xsl $<  | \
-	$(DBLATEX) --style=db2latex \
-		--backend=pdftex \
-		--xsl-user=$(XSLT)/user_param.xsl \
-		--param=draft.mode=$(DRAFTMODE) \
-		--param=lingua=$(LINGUA) \
-		--output=$@ -
-
-$(MANUAL).$(LINGUA).tex: $(MANUAL).$(LINGUA).dbk $(COMMON_ENT)
-	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
-	export TEXINPUTS=".:"; \
-	$(XP) $(XSLT)/dblatex.xsl $<  | \
-	$(DBLATEX) --style=db2latex \
-		--type=tex \
-		--backend=pdftex \
-		--xsl-user=$(XSLT)/user_param.xsl \
-		--param=draft.mode=$(DRAFTMODE) \
-		--param=lingua=$(LINGUA) \
-		--output=$@ -
-
 endif
 
 ##############################################################################
@@ -296,3 +269,32 @@
 	#-rm -rf bin
 	#-ls -la $(MANUALDIR)
 	#-$(MAKE) clean
+	#-ls -la $(MANUALDIR)
+	# real publish target
+	-rm -f version.ent
+	$(MAKE) version.ent
+	$(MAKE) html txt pdf
+	[ -d $(IMAGESDIR) ] || $(install_dir) $(IMAGESDIR)
+	$(install_file) *.html		$(MANUALDIR)
+	$(install_file) $(MANUAL).*.txt $(MANUALDIR)
+	$(install_file) $(MANUAL).*.pdf $(MANUALDIR)
+	$(install_file) $(CSS) 		$(MANUALDIR)
+	echo "AddCharset UTF-8 .txt" > $(MANUALDIR)/.htaccess
+	$(install_file) $(addprefix $(IMAGESSRC)/, $(IMAGES)) $(IMAGESDIR)
+	# sanity check
+	#-ls -lRa $(MANUALDIR)
+
+##############################################################################
+# Special utility targets used only by the maintainer
+##############################################################################
+.PHONY:	tw
+# Translate from zh-cn to zh-tw (semi-automatic)
+tw:
+	msgcat --no-wrap $(PO4A)/$(MANUAL).zh-cn.po | opencc | sed -f $(BIN)/cn2tw.sed | msgcat - > $(PO4A)/$(MANUAL).zh-tw.po
+
+# phony targets for PO maintainances
+.PHONY:  tidypo
+tidypo:
+	for f in $(LANGS_PO); do msgcat --no-location $(PO4A)/$(MANUAL).$$f.po | sponge $(PO4A)/$(MANUAL).$$f.po ; done
+	msgcat --no-location $(PO4A)/$(MANUAL).pot | sponge $(PO4A)/$(MANUAL).pot
+
