=== debian/changelog ===
maint-guide (1.2.28) unstable; urgency=low

  * Lintian touch up 
  * Promoted new dh_python2 while deprecating older python-support and
    python-central. Closes: #633112
  * Substituted New Maintainer site with New Member site.  Thanks
    Salvatore Bonaccorso. Closes: #648834
  * Updated URL for packaging-tutorial. Closes: #652635
  * Removed all URL references with file:///... . Closes: #646283
  * Fixed pbuilder hook script bugs caused by the XML conversion
    of the old buggy debiandoc-sgml. Closes: #637928, #642599
  * Add Russian.  Thanks Yuri Kozlov. Closes: #646330
  * Build: en ca es fr it ja ru

 -- Osamu Aoki <osamu@debian.org>  Fri, 17 Feb 2012 01:15:39 +0900
