## maint-guide 1.2.29

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # languages supported by direct DocBook files (always: en)
 LANGS_EN	:= en
 # languages supported by translation PO files
-LANGS_PO	:= ca es fr it ja ru de zh-cn zh-tw
+LANGS_PO	:= ca de es fr it ja ru de zh-cn zh-tw
 # ca: 99%
 # de: 24%
 # es: 97%
@@ -39,7 +39,7 @@
 # 
 # dblatex is used as the default PDF build tool
 # No PDF build for these lunguages (in case of error, use this as work around)
-LANGS_NOPDF		:=  
+LANGS_NOPDF		:= 
 # all languages to build
 LANGS		:= $(LANGS_EN) $(LANGS_PO)
 # local script file directory
@@ -110,6 +110,7 @@
 html:	$(foreach lng,$(LANGS), index.$(lng).html)
 pdf:	$(foreach lng,$(LANGS), $(MANUAL).$(lng).pdf)
 po:
+	touch $(MANUAL).en.dbk
 	$(MAKE) $(foreach lng, $(LANGS_PO), $(PO4A)/$(MANUAL).$(lng).po) POMODE=update
 pot:	$(PO4A)/$(MANUAL).pot
 dbk:	$(foreach lng,$(LANGS_PO), $(MANUAL).$(lng).dbk)
@@ -265,11 +266,7 @@
 .PHONY: publish
 publish:
 	# next lines are for transition
-	# cleaning old files (This is transitional)
-	#-rm -rf bin
-	#-ls -la $(MANUALDIR)
-	#-$(MAKE) clean
-	#-ls -la $(MANUALDIR)
+	-$(MAKE) clean
 	# real publish target
 	-rm -f version.ent
 	$(MAKE) version.ent
@@ -281,8 +278,6 @@
 	$(install_file) $(CSS) 		$(MANUALDIR)
 	echo "AddCharset UTF-8 .txt" > $(MANUALDIR)/.htaccess
 	$(install_file) $(addprefix $(IMAGESSRC)/, $(IMAGES)) $(IMAGESDIR)
-	# sanity check
-	#-ls -lRa $(MANUALDIR)
 
 ##############################################################################
 # Special utility targets used only by the maintainer
@@ -298,3 +293,4 @@
 	for f in $(LANGS_PO); do msgcat --no-location $(PO4A)/$(MANUAL).$$f.po | sponge $(PO4A)/$(MANUAL).$$f.po ; done
 	msgcat --no-location $(PO4A)/$(MANUAL).pot | sponge $(PO4A)/$(MANUAL).pot
 
+##############################################################################
