=== debian/changelog ===
maint-guide (1.2.29) unstable; urgency=low

  * Add tipa to build-dep and use xCJK package only for CJK PDF 
    documents.  Closes: #666569
  * Updated policy to 3.9.3
  * Fixed manpage section for dh_make. Closes: #663087
  * Fixed typo. Closes: #658631

 -- Osamu Aoki <osamu@debian.org>  Sun, 15 Apr 2012 17:40:47 +0900
