## maint-guide 1.2.30

=== debian/changelog ===
maint-guide (1.2.30) unstable; urgency=low

  [ David Prévot ]
  * Use UTF-8 locale to prepare the text version. See: #658839

  [ Osamu Aoki ]
  * Fixed typo for foo_newversion.orig.tar.gz.  Closes: #688072 

 -- Osamu Aoki <osamu@debian.org>  Fri, 21 Sep 2012 00:04:00 +0900
